Bug 1250875 - _ped.PartitionException: Can't have overlapping partitions.
_ped.PartitionException: Can't have overlapping partitions.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:3e39e2433eecc41c794676f3734...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 04:24 EDT by Kamil Páral
Modified: 2016-11-24 09:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 09:06:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (462.80 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: anaconda.log (43.95 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: dnf.log (2.94 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: environ (494 bytes, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: lsblk_output (2.35 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: nmcli_dev_list (1.57 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: os_info (451 bytes, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: storage.log (277.95 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: syslog (99.70 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: ifcfg.log (2.25 KB, text/plain)
2015-08-06 04:24 EDT, Kamil Páral
no flags Details
File: packaging.log (552 bytes, text/plain)
2015-08-06 04:25 EDT, Kamil Páral
no flags Details
File: program.log (36.10 KB, application/octet-stream)
2015-08-06 04:25 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-08-06 04:24:41 EDT
Description of problem:
I guess it was triggered like this:
1. Go to partitioning screen, select a disk, Done, confirm automatic partitioning (erase all contents).
2. Go back to partitioning screen, unselect the disk, Done.
3. Go back to partitioning screen, select the disk again, Done, crash.

Version-Release number of selected component:
anaconda-23.17-1

The following was filed automatically by anaconda:
anaconda 23.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/parted/disk.py", line 259, in addPartition
    constraint.getPedConstraint())
  File "/usr/lib64/python3.4/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 298, in addPartition
    constraint=constraint)
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 502, in addHook
    self.partedPartition.type)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 523, in unhide
    hidden.addHook(new=False)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 799, in on_back_clicked
    self.storage.devicetree.unhide(disk)
_ped.PartitionException: Can't have overlapping partitions.

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23_A-x86_64 quiet
dnf.rpm.log:    Aug 06 10:00:50 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 Kamil Páral 2015-08-06 04:24:45 EDT
Created attachment 1059781 [details]
File: anaconda-tb
Comment 2 Kamil Páral 2015-08-06 04:24:47 EDT
Created attachment 1059782 [details]
File: anaconda.log
Comment 3 Kamil Páral 2015-08-06 04:24:48 EDT
Created attachment 1059783 [details]
File: dnf.log
Comment 4 Kamil Páral 2015-08-06 04:24:50 EDT
Created attachment 1059784 [details]
File: environ
Comment 5 Kamil Páral 2015-08-06 04:24:51 EDT
Created attachment 1059785 [details]
File: lsblk_output
Comment 6 Kamil Páral 2015-08-06 04:24:52 EDT
Created attachment 1059786 [details]
File: nmcli_dev_list
Comment 7 Kamil Páral 2015-08-06 04:24:53 EDT
Created attachment 1059787 [details]
File: os_info
Comment 8 Kamil Páral 2015-08-06 04:24:56 EDT
Created attachment 1059788 [details]
File: storage.log
Comment 9 Kamil Páral 2015-08-06 04:24:58 EDT
Created attachment 1059789 [details]
File: syslog
Comment 10 Kamil Páral 2015-08-06 04:24:59 EDT
Created attachment 1059790 [details]
File: ifcfg.log
Comment 11 Kamil Páral 2015-08-06 04:25:00 EDT
Created attachment 1059791 [details]
File: packaging.log
Comment 12 Kamil Páral 2015-08-06 04:25:02 EDT
Created attachment 1059792 [details]
File: program.log
Comment 13 Vojtech Trefny 2015-08-06 05:29:33 EDT
Probably will be fixed by this patch set -- https://github.com/rhinstaller/anaconda/pull/257
Comment 14 Vratislav Podzimek 2015-08-06 05:41:02 EDT
updates.img for testing the changes from the above mentioned PR:

http://vpodzime.fedorapeople.org/1250875_updates.img
(for anaconda-23.18-1 or newer)
Comment 15 Kamil Páral 2015-08-06 06:50:29 EDT
(In reply to Vratislav Podzimek from comment #14)
> updates.img for testing the changes from the above mentioned PR:
> 
> http://vpodzime.fedorapeople.org/1250875_updates.img
> (for anaconda-23.18-1 or newer)

That seems to fix the bug.
Comment 16 Mike McCune 2016-03-28 19:45:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 17 Fedora End Of Life 2016-11-24 07:16:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Kamil Páral 2016-11-24 09:06:52 EST
Patch from comment 13 seems pushed.

Note You need to log in before you can comment on or make changes to this bug.